#!/bin/sh

rtc-template -bcxx \
--module-name=PositionController \
--module-type='DataFlowComponent' \
--module-desc='Positional output  Controller' \
--module-version=1.0 \
--module-vendor='Shinji Kurihara' \
--module-category=Controller \
--module-comp-type=DataFlowComponent \
--module-act-type=PERIODIC \
--inport=in0:TimedDoubleSeq \
--inport=in1:TimedDoubleSeq \
--outport=TargetValue:TimedDoubleSeq \
--consumer=Configuration:PDControlSvc0:PDControlService \
--consumer-idl=PDControlService.idl \
--config="diag_Pgain:std::vector<double>:1.0,0.0,0.0, 0.0,1.0,0.0, 0.0,0.0,1.0" \
--config="diag_Dgain:std::vector<double>:1.0,0.0,0.0, 0.0,1.0,0.0, 0.0,0.0,1.0"
