#!/bin/sh

rtc-template -bcxx \
--module-name=FwdKinematicsPA10 \
--module-type='DataFlowComponent' \
--module-desc='Forward Kinematics of PA10-7c arm' \
--module-version=1.0 \
--module-vendor='Masayuki Shimizu' \
--module-category=Kinematics \
--module-comp-type=DataFlowComponent \
--module-act-type=PERIODIC \
--inport=JointAngle:TimedDoubleSeq \
--inport=JointVelocity:TimedDoubleSeq \
--outport=TipPosition:TimedDoubleSeq \
--outport=TipVelocity:TimedDoubleSeq 
