#!/bin/sh

rtc-template -bcxx \
--module-name=InvKinematicsPA10 \
--module-type='DataFlowComponent' \
--module-desc='Inverse Kinematics of PA10-7C arm' \
--module-version=1.0 \
--module-vendor='Masayuki Shimizu' \
--module-category=Kinematics \
--module-comp-type=DataFlowComponent \
--module-act-type=PERIODIC \
--inport=TipPosition:TimedDoubleSeq \
--inport=TipVelocity:TimedDoubleSeq \
--inport=RefJointAngle:TimedDoubleSeq \
--outport=JointAngle:TimedDoubleSeq \
--outport=JointVelocity:TimedDoubleSeq 
