#!/bin/sh
rtc-template -bcxx \
    --module-name=PA10Manipulator --module-type='PA10 Manipulator' \
    --module-desc='PA10 Manipulator Component' \
    --module-version=1.0 --module-vendor='Woo-Keun YOON, Life Robotics Inc.' \
    --module-category=pa10manipulator \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 \
    --inport=JointVelocity:TimedDoubleSeq \
    --outport=CurrentJointVelocity:TimedDoubleSeq \
    --outport=CurrentJointAngle:TimedDoubleSeq \
    --config="mode:std::string:sim" \
    --config=tip_len:double:0.0 \
    --config=sampling:double:0.001


