#!/bin/sh

rtc-template -bcxx \
--module-name=PDControl \
--module-type='DataFlowComponent' \
--module-desc='PD Controller' \
--module-version=1.0 \
--module-vendor='Masayuki Shimizu' \
--module-category=Controller \
--module-comp-type=DataFlowComponent \
--module-act-type=PERIODIC \
--inport=TargetState:TimedDoubleSeq \
--inport=ActualState:TimedDoubleSeq \
--inport=ActualSpeed:TimedDoubleSeq \
--outport=CommandedState:TimedDoubleSeq \
--service=Configuration:PDControlSvc0:PDControlService \
--service-idl=PDControlService.idl 
